Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158803 - Need to send correct stack trace in tracebacks
Summary: Need to send correct stack trace in tracebacks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Vlady Zlatkin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-25 20:53 UTC by Ken Ganong
Modified: 2013-04-30 23:39 UTC (History)
2 users (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-31 20:33:50 UTC


Attachments (Terms of Use)
Most unhelpful stacktrace (deleted)
2005-05-25 20:53 UTC, Ken Ganong
no flags Details

Description Ken Ganong 2005-05-25 20:53:03 UTC
Attached is a stack trace about rhn/account/ChangeEmail.do breaking for
malformed email addresses courtesy of Vlad.  This stack trace tells me very
little about what went wrong.  Sadly, this is the only stack trace in the email.
 While reproducing the problem, my logs gave out this exception:

com.redhat.rhn.common.hibernate.HibernateRuntimeException: HibernateException
executing CachedStatement
com.redhat.rhn.common.db.datasource.CachedStatement.executeCallable(CachedStatement.java:375)
com.redhat.rhn.common.db.datasource.CallableMode.execute(CallableMode.java:30)
com.redhat.rhn.domain.user.UserFactory.updateServerPerms(UserFactory.java:255)
com.redhat.rhn.domain.user.UserFactory.saveInternal(UserFactory.java:231)
com.redhat.rhn.domain.user.UserFactory.save(UserFactory.java:240)
com.redhat.rhn.frontend.action.user.ChangeEmailAction.execute(ChangeEmailAction.java:90)
org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:421)

Which is much better.

What must be done:
Make sure we send the correct stack trace in the email.

Comment 1 Ken Ganong 2005-05-25 20:53:03 UTC
Created attachment 114852 [details]
Most unhelpful stacktrace

Comment 2 David Lutterkort 2005-05-26 20:26:37 UTC
Fix checked in @56889. TracebackEvent was ignoring causes for the exception.

Comment 3 Jesus M. Rodriguez 2005-06-10 18:32:32 UTC
Mass moving ON_DEV to ON_QA

Comment 4 Vlady Zlatkin 2005-07-06 20:43:24 UTC
prod ready

example traceback courtesy of jesusr

The following exception occured while executing this request:
GET /rhn/foo/biteme.do

Date:7/6/05 3:51:29 PM EDT
Headers:
  accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
  accept-charset: UTF-8,*
  accept-encoding: gzip,deflate
  accept-language: en-us,en;q=0.7,ja;q=0.3
  connection: keep-alive
  cookie:
JServSessionIdroot=9qxapf6gp1.pQ5Kb2TKqAXSsgTJml0IqAfP/B9zn6vvr2TxpQOUpQ5Kb2TKqAXSsgTJml0IqAfP/B9zn6vvr2TxpQOUax0Kax0-;
pxt-session-cookie=291xd6c9360cb6720e553d56dc3944d676c1;
rh_auth_token=3567268:1120682041x34596b2d3152d35789d18e807f140194
  host: vzlatkin-64.rdu.redhat.com
  keep-alive: 300
  user-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050512
Red Hat/1.0.4-1.4.1 Firefox/1.0.4
  content-length: 0

Request:
Local Name = vzlatkin-64.rdu.redhat.com
Server Name = vzlatkin-64.rdu.redhat.com
Requested Session Valid = false
Session =
org.apache.catalina.session.StandardSessionFacade@14101410[session=StandardSession[86A769E1B19C54AA9B39C3EA785CF3CE]]
Protocol = HTTP/1.1
Request Locale = en_US
Request Character Encoding = UTF-8
Attribute Names = org.apache.struts.action.MESSAGE,
javax.servlet.jsp.jstl.fmt.timeZone.request, session, __sitemesh__filterapplied,
org.apache.struts.action.MODULE, 


User Information:
User admin (id 1, org_id 1)


java stack trace


Note You need to log in before you can comment on or make changes to this bug.